Source: plainbox-provider-resource-generic
Section: utils
Priority: optional
Maintainer: Checkbox Developers <checkbox-devel@lists.ubuntu.com>
Uploaders: Sylvain Pineau <sylvain.pineau@canonical.com>,
           Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
           Debian Python Team <team+python@tracker.debian.org>
Build-Depends: autoconf,
               automake,
               debhelper-compat (= 9),
               intltool,
               libnl-3-dev,
               libnl-genl-3-dev,
               pkg-config,
               python3,
               python3-debian,
               python3-plainbox (>= 0.22)
Standards-Version: 3.9.6
Vcs-Git: https://salsa.debian.org/python-team/packages/plainbox-provider-resource-generic.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/plainbox-provider-resource-generic
Homepage: http://launchpad.net/checkbox

Package: plainbox-provider-resource-generic
Architecture: any
Depends: ${misc:Depends}, ${plainbox:Depends}, ${shlibs:Depends}
Suggests: ${plainbox:Suggests}
Recommends: ${plainbox:Recommends}
X-Plainbox-Provider: yes
Description: CheckBox generic resource jobs provider
 This package provides the generic resource jobs. It is used together
 alongside with PlainBox.
 .
 Jobs are smallest units of testing that can be performed by PlainBox.
 All jobs have an unique name. There are many types of jobs, some are fully
 automated others are fully manual.
 .
 Resources are collections of key-value data sets that are generated by
 special resource jobs. They are extensively used to indicate hardware or
 software dependencies. For example a bluetooth test may indicate it
 requires bluetooth hardware and appropriate software packages installed.
